Check address
Creates a manual check for a single blockchain address.
HTTP Request
POST /v1/manual-checks/check-address/
Request body
{
"network": "string",
"token_id": "string | null",
"address": "string",
"risk_model": "string | null"
}
Field descriptions
| Field | Type | Required | Description |
|---|---|---|---|
network | string | Yes | Blockchain network code (e.g. ETH, TRX). |
token_id | string / null | No | Token identifier within the network. |
address | string | Yes | Address to check. |
risk_model | string (UUID) / null | No | Risk model ID to apply. |
Example request
{
"network": "ETH",
"token_id": "0xdac17f958d2ee523a2206206994597c13d831ec7",
"address": "0x98f79674D5F2f777d44e253BfAf905D7491E8cEF",
"risk_model": null
}
Response
Returns a manual check object.
Example response
{
"id": "15b9bf78-a814-4b8e-9dbd-09f2596a6b00",
"created_at": "2024-02-29T19:40:12.287316+03:00",
"check_type": "single_address",
"check_status": "checking",
"checked_at": null,
"transfer": null,
"address": {
"network": "ETH",
"address": "0x98f79674d5f2f777d44e253bfaf905d7491e8cef"
},
"risk_level": "undefined",
"risk_score": 0.0,
"fiat_currency": "USD"
}
Try it
POST/v1/manual-checks/check-address/
API KEY ID
API KEY SECRET
Body (JSON)
HTTP Request
Press "Send Request" to generate HTTP request.
HTTP …
{
// Response will be shown here after the request.
}